org.jboss.jca.core.connectionmanager.pool.mcp

## Class LeakDumperManagedConnectionPool

- java.lang.Object
- - org.jboss.jca.core.connectionmanager.pool.mcp.SemaphoreArrayListManagedConnectionPool
  - - org.jboss.jca.core.connectionmanager.pool.mcp.LeakDumperManagedConnectionPool

- All Implemented Interfaces:
    IdleConnectionRemovalSupport, ManagedConnectionPool

      public class LeakDumperManagedConnectionPool
      extends SemaphoreArrayListManagedConnectionPool

  A managed connection pool which dumps any leaks at shutdown
  Author:
    Jesper Pedersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LeakDumperManagedConnectionPool()` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `connectionListenerDestroyed(ConnectionListener cl)` Notify that a connection listener belonging to this pool was destroyed.
    `ConnectionListener` | `getConnection(javax.security.auth.Subject subject, javax.resource.spi.ConnectionRequestInfo cri)` Returns a connection listener that wraps managed connection.
    `void` | `returnConnection(ConnectionListener cl, boolean kill, boolean cleanup)`
    `void` | `shutdown()` Shutdown
    `java.lang.String` | `toString()` String representation

    - ### Methods inherited from class org.jboss.jca.core.connectionmanager.pool.mcp.SemaphoreArrayListManagedConnectionPool

      `addConnectionListener, fillTo, findConnectionListener, findConnectionListener, flush, getActive, getLastUsed, increaseCapacity, initialize, isEmpty, isIdle, isRunning, prefill, removeConnectionListener, removeIdleConnections, returnConnection, validateConnections`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LeakDumperManagedConnectionPool

          public LeakDumperManagedConnectionPool()

      Constructor

  - ### Method Detail

    - #### getConnection

          public ConnectionListener getConnection(javax.security.auth.Subject subject,
                                                  javax.resource.spi.ConnectionRequestInfo cri)
                                           throws javax.resource.ResourceException

      Returns a connection listener that wraps managed connection.
      Specified by:
        `getConnection` in interface `ManagedConnectionPool`
      Overrides:
        `getConnection` in class `SemaphoreArrayListManagedConnectionPool`
      Parameters:
        `subject` - subject
        `cri` - connection request info
      Returns:
        connection listener wrapped managed connection
      Throws:
        `javax.resource.ResourceException` - exception

    - #### returnConnection

          public void returnConnection(ConnectionListener cl,
                                       boolean kill,
                                       boolean cleanup)

      Overrides:
        `returnConnection` in class `SemaphoreArrayListManagedConnectionPool`

    - #### connectionListenerDestroyed

          public void connectionListenerDestroyed(ConnectionListener cl)

      Notify that a connection listener belonging to this pool was destroyed.
      Specified by:
        `connectionListenerDestroyed` in interface `ManagedConnectionPool`
      Overrides:
        `connectionListenerDestroyed` in class `SemaphoreArrayListManagedConnectionPool`

    - #### shutdown

          public void shutdown()

      Shutdown
      Specified by:
        `shutdown` in interface `ManagedConnectionPool`
      Overrides:
        `shutdown` in class `SemaphoreArrayListManagedConnectionPool`

    - #### toString

          public java.lang.String toString()

      String representation
      Overrides:
        `toString` in class `SemaphoreArrayListManagedConnectionPool`
      Returns:
        The string

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)